//-------------------------------------------------------------------------
/*
Copyright (C) 1997, 2005 - 3D Realms Entertainment

This file is part of Shadow Warrior version 1.2

Shadow Warrior is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Original Source: 1997 - Frank Maddin and Jim Norwood
Prepared for public release: 03/28/2005 - Charlie Wiederhold, 3D Realms
*/
//-------------------------------------------------------------------------

#include "compat.h"

#include "savegamehelp.h"

BEGIN_SW_NS

typedef FileWriter* MFILE_WRITE;
typedef FileReader* MFILE_READ;

inline size_t MREAD(void* buf, size_t size, size_t nelem, FileReader* handle)
{
	return handle->Read(buf, size * nelem) / size;
}

inline size_t MWRITE(void* buf, size_t size, size_t nelem, FileWriter* handle)
{
	return handle->Write(buf, size * nelem) / size;
}

inline void MCLOSE_READ(FileReader* handle)
{
	handle->Close();
	FinishSavegameRead();
}

END_SW_NS
